{output}: Get compound record (alternative path)

API: nih.gov:pubchem-api
Endpoint: /pug/compound/cid/{cid}/{output}
Response format: unknown
Auth: unknown
Method: GET
Last Status: 200
Latency: 415ms

Description

Retrieve compound structure data in JSON or XML format.

Parameters (2)

cid (string, path, required)

PubChem Compound ID

output (string, path, required)

Output format

Constraints: {'enum': ['JSON', 'XML']}

Examples (1)

Get compound record (alternative path) openapi-spec
curl 'https://pubchem.ncbi.nlm.nih.gov/rest/pug/compound/cid/2244/JSON'
import requests

resp = requests.get("https://pubchem.ncbi.nlm.nih.gov/rest/pug/compound/cid/2244/JSON")
data = resp.json()
import zingu_apis

api = zingu_apis.api("pubchem")
result = api.fetch("pug/compound/cid/{cid}/{output}")

for item in result:
    print(item)
const resp = await fetch("https://pubchem.ncbi.nlm.nih.gov/rest/pug/compound/cid/2244/JSON");
const data = await resp.json();

Probe History

Latency

Status Codes

TimeStatusLatencySize
2026-04-16 02:33:07.429237 200 415ms
2026-04-15 02:35:24.668686 200 549ms
2026-04-14 00:24:39.807950 200 407ms
2026-04-12 16:41:04.224371 200 1014ms
2026-04-10 01:36:19.638854 200 335ms
2026-04-09 00:41:47.944142 200 594ms